

***量化偏误分析

***考虑社保，修正前后，相关性分析
clear all
cd "C:\Users\Zhu CHEN\Desktop\b.用于生成文章图表的完整程序代码-20241023-22点"

clear
cap log close
log using "2日志文件-量化偏误分析.log", replace


use 1996-2024各城市户籍开放度.dta, clear
preserve
*2016-2020年
drop if yearmonth==.
keep if inrange(year,2016,2020) | (year==2015 & month==12)
drop if (year==2020 & month==12)
des, short
pwcorr hkprob hkprob_2015ins, obs sig
asdoc pwcorr hkprob hkprob_2015ins, star(all) sig nonum replace save(修正前后指数的相关性-19962020全.doc)

***图VI1
graph twoway ///
(scatter hkprob hkprob_2015ins)  ///
(lfit hkprob hkprob_2015ins,lwidth(thick)),  ///
ytitle("户籍开放度（2015年12月-2020年11月）") xtitle("考虑社保的户籍开放度（2015年12月-2020年11月）") legend(off)
restore









***利用省级社保参保率，粗略修正
clear all
use 1996-2024各城市户籍开放度.dta, clear
merge n:1 city using 2020七普城市级别.dta, force
drop if _merge==2
replace x="小型" if _merge==1
drop _merge
replace x="小型" if inlist(x,"小II型","小I型")
replace x="中等和大II型" if inlist(x,"中等","大II型")
replace x="大I特大超大型" if inlist(x,"大I型","特大","超大")
replace x="积分占主导型" if inlist(city,"北京市","上海市","天津市","广州市","深圳市","苏州市","杭州市","南京市")
tab x, sort
merge n:1 city using X线城市1.dta, force
drop _merge
sort dzid year
split prov,p("省" "市" "壮族自治区" "回族自治区" "维吾尔自治区" "自治区" "维吾尔族自治区")
drop prov 
rename prov1 prov
order prov


*修正社保
merge n:1 prov year using 1998-2021各省历年养老保险缴纳比例.dta, force 
drop _merge
sort dzid year
order prov city dzid year hkprob xz2r
drop if dzid==.
xtset dzid year
nmissing xz2r
bysort dzid: replace xz2r=xz2r[_n+1] if xz2r==. 
bysort dzid: replace xz2r=xz2r[_n+1] if xz2r==. 
bysort dzid: replace xz2r=xz2r[_n-1] if xz2r==. 
replace xz2r=100 if xz2r>100
sum xz2r
tab x, sort

*小型         ——不修正
gen hkprob2=hkprob
*中等和大II型 ——只修正1996-2018
replace hkprob2=hkprob*xz2r/100 if x=="中等和大II型" & inrange(year,1996,2018)
*大I特大超大型——全部修正
replace hkprob2=hkprob*xz2r/100 if x=="大I特大超大型"
*积分占主导型 ——不修正
order prov city dzid year hkprob* xz2r x
pwcorr hkprob hkprob2,obs sig
asdoc pwcorr hkprob hkprob2, star(all) sig nonum replace save(修正前后指数的相关性2.doc)

***图VI3
graph twoway ///
(scatter hkprob hkprob2)  ///
(lfit hkprob hkprob2,lwidth(thick)),  ///
ytitle("户籍开放度（1996-2024）") xtitle("用省级社保参保比例修正的户籍开放度（1996-2024）") legend(off)






