
***表1


*************************************************************
***表1的Panel A：对比门槛指数
***对比1
clear all
cd "C:\Users\Zhu CHEN\Desktop\b.用于生成文章图表的完整程序代码-20241023-22点"

clear
cap log close
log using "3日志文件-跟现有指标的相关性分析.log", replace


use 1996-2024各城市户籍开放度.dta, clear
keep if year<=2016
keep if year>=2000
gen period=1 if year<=2013
replace period=2 if year>=2014
order dzid city period thrhd
bysort dzid period: egen avethrhd=mean(thrhd)
duplicates drop dzid period, force
order dzid city period avethrhd
keep  dzid city period avethrhd 
reshape wide avethrhd , i(dzid) j(period)
rename avethrhd1 avethrhd1_cz
rename avethrhd2 avethrhd2_cz
save 对比1.dta, replace

clear
import excel 现有文献中的所有落户门槛指数.xlsx,sheet("张吉鹏2019投影法_2000-2013和2014-2016")
keep A B G N
drop in 1
rename A dzid 
rename B city 
rename G avethrhd1
rename N avethrhd2
drop in 1
destring, replace
replace dzid=int(dzid/100)
compress
rename avethrhd1 avethrhd1_zjp
rename avethrhd2 avethrhd2_zjp
replace city=city+"市" if (city!="阿拉善盟" & city!="黔西南")
replace city="黔西南布依族苗族自治州" if city=="黔西南"
drop dzid
sum 
merge 1:1 city using 对比1.dta, force
keep if _merge==3   
sum avethrhd1_zjp avethrhd1_cz avethrhd2_zjp avethrhd2_cz

***2000-2013
pwcorr avethrhd1_zjp avethrhd1_cz, sig
***2014-2016
pwcorr avethrhd2_zjp avethrhd2_cz, sig
asdoc pwcorr avethrhd1_zjp avethrhd2_zjp avethrhd1_cz avethrhd2_cz, star(all) sig nonum replace save(相关性-张.doc)







***层次分析法
clear
import excel 现有文献中的所有落户门槛指数.xlsx,sheet("张吉鹏2019层次分析_2000-2013和2014-2016")
keep A B G N
drop in 1
rename A dzid 
rename B city 
rename G avethrhd1
rename N avethrhd2
drop in 1
destring, replace
replace dzid=int(dzid/100)
compress
rename avethrhd1 avethrhd1_zjp
rename avethrhd2 avethrhd2_zjp
replace city=city+"市" if (city!="阿拉善盟" & city!="黔西南")
replace city="黔西南布依族苗族自治州" if city=="黔西南"
drop dzid
sum 
merge 1:1 city using 对比1.dta, force
keep if _merge==3   
sum avethrhd1_zjp avethrhd1_cz avethrhd2_zjp avethrhd2_cz
pwcorr avethrhd1_zjp avethrhd1_cz, sig
pwcorr avethrhd2_zjp avethrhd2_cz, sig
asdoc pwcorr avethrhd1_zjp avethrhd2_zjp avethrhd1_cz avethrhd2_cz, star(all) sig nonum replace save(相关性-张.doc)


***等权重法
clear
import excel 现有文献中的所有落户门槛指数.xlsx,sheet("张吉鹏2019等权重法_2000-2013和2014-2016")
keep A B G N
drop in 1
rename A dzid 
rename B city 
rename G avethrhd1
rename N avethrhd2
drop in 1
destring, replace
replace dzid=int(dzid/100)
compress
rename avethrhd1 avethrhd1_zjp
rename avethrhd2 avethrhd2_zjp
replace city=city+"市" if (city!="阿拉善盟" & city!="黔西南")
replace city="黔西南布依族苗族自治州" if city=="黔西南"
drop dzid
sum 
merge 1:1 city using 对比1.dta, force
keep if _merge==3   
sum avethrhd1_zjp avethrhd1_cz avethrhd2_zjp avethrhd2_cz
pwcorr avethrhd1_zjp avethrhd1_cz, sig
pwcorr avethrhd2_zjp avethrhd2_cz, sig
asdoc pwcorr avethrhd1_zjp avethrhd2_zjp avethrhd1_cz avethrhd2_cz, star(all) sig nonum replace save(相关性-张.doc)

***熵值法
clear
import excel 现有文献中的所有落户门槛指数.xlsx,sheet("张吉鹏2019熵值法_2000-2013和2014-2016")
keep A B G N
drop in 1
rename A dzid 
rename B city 
rename G avethrhd1
rename N avethrhd2
drop in 1
destring, replace
replace dzid=int(dzid/100)
compress
rename avethrhd1 avethrhd1_zjp
rename avethrhd2 avethrhd2_zjp
replace city=city+"市" if (city!="阿拉善盟" & city!="黔西南")
replace city="黔西南布依族苗族自治州" if city=="黔西南"
drop dzid
sum 
merge 1:1 city using 对比1.dta, force
keep if _merge==3   
sum avethrhd1_zjp avethrhd1_cz avethrhd2_zjp avethrhd2_cz
pwcorr avethrhd1_zjp avethrhd1_cz, sig
pwcorr avethrhd2_zjp avethrhd2_cz, sig
asdoc pwcorr avethrhd1_zjp avethrhd2_zjp avethrhd1_cz avethrhd2_cz, star(all) sig nonum replace save(相关性-张.doc)


***张吉鹏2019稳健性90个
clear
import excel 现有文献中的所有落户门槛指数.xlsx,sheet("张吉鹏2019稳健性90个")
keep A B G N
drop in 1
rename A dzid 
rename B city 
rename G avethrhd1
rename N avethrhd2
drop in 1
destring, replace
replace dzid=int(dzid/100)
compress
rename avethrhd1 avethrhd1_zjp
rename avethrhd2 avethrhd2_zjp
replace city=city+"市" if (city!="阿拉善盟" & city!="黔西南")
replace city="黔西南布依族苗族自治州" if city=="黔西南"
drop dzid
sum 
merge 1:1 city using 对比1.dta, force
keep if _merge==3   
sum avethrhd1_zjp avethrhd1_cz avethrhd2_zjp avethrhd2_cz
pwcorr avethrhd1_zjp avethrhd1_cz, obs sig
pwcorr avethrhd2_zjp avethrhd2_cz, obs sig
asdoc pwcorr avethrhd1_zjp avethrhd2_zjp avethrhd1_cz avethrhd2_cz, star(all)sig nonum replace save(相关性-张.doc)
erase 对比1.dta







***对比2
clear all
use 1996-2024各城市户籍开放度.dta, clear
keep if year==2010
order dzid city thrhd*
keep  dzid city thrhd*
rename thrhd thrhd_cz
save 对比2.dta, replace

clear
import excel 现有文献中的所有落户门槛指数.xlsx,sheet("吴开亚2010_2000-2010")
keep A I
drop in 1
compress
rename A city 
rename I thrhd
drop in 1
destring, replace
rename thrhd thrhd_wky
sum
replace city=city+"市"
merge 1:1 city using 对比2.dta, force
keep if _merge==3  
sum thrhd_wky thrhd_cz
 
pwcorr thrhd_wky  thrhd_cz, obs sig 
asdoc pwcorr thrhd_wky thrhd_cz, star(all) sig nonum replace save(相关性-吴.doc)

erase 对比2.dta





***对比2---去掉拉萨
clear all
use 1996-2024各城市户籍开放度.dta, clear
keep if year==2010
order dzid city thrhd*
keep  dzid city thrhd*
rename thrhd thrhd_cz
save 对比2.dta, replace

clear
import excel 现有文献中的所有落户门槛指数.xlsx,sheet("吴开亚2010_2000-2010")
keep A I
drop in 1
compress
rename A city 
rename I thrhd
drop in 1
destring, replace
rename thrhd thrhd_wky
sum
replace city=city+"市"
merge 1:1 city using 对比2.dta, force
keep if _merge==3  
drop if city=="拉萨市"
sum thrhd_wky thrhd_cz
 
pwcorr thrhd_wky  thrhd_cz, obs sig 
asdoc pwcorr thrhd_wky thrhd_cz, star(all) sig nonum replace save(相关性-吴.doc)

erase 对比2.dta





***对比3
clear all
use 1996-2024各城市户籍开放度.dta, clear
keep if year==2015
order dzid city thrhd*
keep  dzid city thrhd*
rename thrhd thrhd_cz
save 对比3.dta, replace

clear
import excel 现有文献中的所有落户门槛指数.xlsx,sheet("刘金伟2016_2015")
keep A D
drop in 1
compress
rename A city 
rename D thrhd
drop in 1
destring, replace
rename thrhd thrhd_ljw
sum
merge 1:1 city using 对比3.dta, force
keep if _merge==3   
sum thrhd_ljw thrhd_cz
replace thrhd_ljw=thrhd_ljw*100
pwcorr thrhd_ljw  thrhd_cz, obs sig
asdoc pwcorr thrhd_ljw  thrhd_cz, star(all) nonum replace save(相关性-刘.doc)

erase 对比3.dta




***对比4
clear all
use 1996-2024各城市户籍开放度.dta, clear
keep if inrange(year,2010,2016)
order dzid city year thrhd*
keep  dzid city year thrhd*
rename thrhd thrhd_cz
save 对比4.dta, replace

clear
import excel 现有文献中的所有落户门槛指数.xlsx,sheet("孙文凯2020_2010-2016各年")
nrow 1
destring, replace
gen prov1=substr(city,-3,3)
gen prov2=substr(city,-9,9)
drop if prov1=="省"
drop if prov2=="自治区"
replace city=city+"市" if prov1!="市"
drop prov1 prov2
sum
gen thrhd_swk=1-swk
sum
merge 1:1 city year using 对比4.dta, force
/*
keep if _merge==1
宜城市   //襄阳市代管县级市
莱芜市   //济南市代管县级市
*/
keep if _merge==3   
xtset dzid year
sum thrhd_swk  thrhd_cz
replace thrhd_swk=thrhd_swk*100
***相关性
tab year
pwcorr thrhd_swk  thrhd_cz, obs sig
asdoc pwcorr thrhd_swk  thrhd_cz, star(all) sig nonum replace save(相关性-孙.doc)







***对比5
clear all
use 1996-2024各城市户籍开放度.dta, clear
keep if inrange(year,1997,2010)
order dzid city year thrhd*
keep  dzid city year thrhd*
rename thrhd thrhd_cz
save 对比5.dta, replace

clear
import excel 现有文献中的所有落户门槛指数.xlsx,sheet("Fan2019_1997-2010")
nrow 1
destring, replace
keep dist_4d_2005 Year ReformIndex 
sum
rename dist_4d_2005 dzid
rename Year year
gen thrhd_fan = 6 - ReformIndex  //I review these documents and hand code them into a score of 0–6 for each city based on the difficulty faced by migrants in obtaining Hukou.A higher score means easier access to local Hukou.
sum
merge 1:1 dzid year using 对比5.dta, force
keep if _merge==3   
xtset dzid year
sum thrhd_fan  thrhd_cz
***相关性
pwcorr thrhd_fan  thrhd_cz, obs sig
asdoc pwcorr thrhd_fan  thrhd_cz, star(all) nonum replace save(相关性-fan.doc)





***对比6
clear all
use 1996-2024各城市户籍开放度.dta, clear
keep if year==2016
order dzid city year thrhd*
keep  dzid city year thrhd*
rename thrhd thrhd_cz
save 对比6.dta, replace

clear
import excel 现有文献中的所有落户门槛指数.xlsx,sheet("孙文凯2017_2016")
drop C E
nrow 1
drop in 1
destring, replace
rename 城市 city
replace city=city+"市" 
sum
gen thrhd_swk2017层次分析法=层次分析法
gen thrhd_swk2017等权重法=等权重法
sum
gen year=2016
merge 1:1 city year using 对比6.dta, force
/*
keep if _merge==1
宜城市   //襄阳市代管县级市
莱芜市   //济南市代管县级市
*/
keep if _merge==3   
xtset dzid year
replace thrhd_swk2017层次分析法=thrhd_swk2017层次分析法*100
replace thrhd_swk2017等权重法  =thrhd_swk2017等权重法  *100

***相关性
tab year
pwcorr thrhd_swk2017层次分析法  thrhd_cz, obs sig
asdoc pwcorr thrhd_swk2017层次分析法  thrhd_cz, star(all) sig nonum replace save(相关性-孙1.doc)

pwcorr thrhd_swk2017等权重法  thrhd_cz, obs sig
asdoc pwcorr thrhd_swk2017等权重法  thrhd_cz, star(all) sig nonum replace save(相关性-孙1.doc)







*************************************************************
***表1的Panel B：与户籍管制代理指标的相关性
use 原始数据3-跟户籍管制代理指标的相关性.dta, clear
gen l10thrhd = 100 -l10hkprob
keep  city dzid year t l10thrhd pop_pc pop_hk_pc ///
	 mig_dpr_pc mig_dcn_pc 
order city dzid year t l10thrhd pop_pc pop_hk_pc ///
	 mig_dpr_pc mig_dcn_pc 
*邹一南和李爱民(2013)，张坤领和刘清杰(2019):户籍人口占比。
gen hkczr    =pop_hk_pc / pop_pc * 100   
pwcorr hkczr l10thrhd if year==2010, obs sig
asdoc pwcorr hkczr l10thrhd if year==2010, star(all) nonum replace save(邹一南和李爱民1.doc)
pwcorr hkczr l10thrhd if year==2020, obs sig
asdoc pwcorr hkczr l10thrhd if year==2020, star(all) nonum replace save(邹一南和李爱民2.doc)

*李拓(2016)的指标与之类似
gen flowr2=(pop_pc - pop_hk_pc) / pop_pc *100


*陆万军和张彬斌(2016)
gen flowr=(pop_pc - pop_hk_pc) / pop_hk_pc *100
pwcorr flowr l10thrhd if year==2010, obs sig
asdoc pwcorr flowr l10thrhd if year==2010, star(all) nonum replace save(陆万军和张彬斌1.doc)
pwcorr flowr l10thrhd if year==2020, obs sig
asdoc pwcorr flowr l10thrhd if year==2020, star(all) nonum replace save(陆万军和张彬斌2.doc)


*刘修岩和李松林(2017)
gen flow=(mig_dpr_pc+mig_dcn_pc)
bysort year: egen flow_total=sum(flow)
gen flowr3=flow / flow_total * 100
sort dzid t
pwcorr flowr3 l10thrhd if year==2010, obs sig
asdoc pwcorr flowr3 l10thrhd if year==2010, star(all) nonum replace save(刘修岩和李松林1.doc)
pwcorr flowr3 l10thrhd if year==2020, obs sig
asdoc pwcorr flowr3 l10thrhd if year==2020, star(all) nonum replace save(刘修岩和李松林2.doc)


***本文:10年间常住人口对数值变化
gen lnpop_pc=log(pop_pc)
gen llnpop_pc    =l.lnpop_pc
gen dlnpop_pc =lnpop_pc-llnpop_pc

pwcorr dlnpop_pc l10thrhd if year==2010, obs sig
asdoc pwcorr dlnpop_pc l10thrhd if year==2010, star(all) nonum replace save(a1.doc)
pwcorr dlnpop_pc l10thrhd if year==2020, obs sig
asdoc pwcorr dlnpop_pc l10thrhd if year==2020, star(all) nonum replace save(a2.doc)




